Bug 187809 - Review Request: perl-GSSAPI - Perl extension providing access to the GSSAPIv2 library
Review Request: perl-GSSAPI - Perl extension providing access to the GSSAPIv2...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-04-03 14:21 EDT by Jose Pedro Oliveira
Modified: 2007-12-06 15:52 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-21 18:29:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jose Pedro Oliveira 2006-04-03 14:21:49 EDT
Spec Name or Url:
http://gsd.di.uminho.pt/jpo/software/fedora/perl-GSSAPI.spec

SRPM Name or Url:
http://gsd.di.uminho.pt/jpo/software/fedora/perl-GSSAPI-0.20-1.src.rpm

Description:
This module gives access to the routines of the GSSAPI library, as
described in rfc2743 and rfc2744 and implemented by the Kerberos-1.2
distribution from MIT.

Note:
This perl module is a new requirement of Authen::SASL 2.10.
Comment 1 Jose Pedro Oliveira 2006-04-06 16:18:23 EDT
Update to 0.21.
http://gsd.di.uminho.pt/jpo/software/fedora/perl-GSSAPI-0.21-1.src.rpm
Comment 2 Jason Tibbitts 2006-04-07 19:33:05 EDT
Package builds fine in mock (devel branch) and rpmlint is silent.

Issues:
BuildRequires: perl is not allowed.
Why %{perl_vendorarch}/GSSAPI* instead of just %{perl_vendorarch}/GSSAPI ?

Review:
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written, uses macros consistently and
conforms to the Perl template.
* license field matches the actual license.
* license is open source-compatible.  It's not included separately in the
package, but this is not necessary as the upstream tarball does not include it.
* source files match upstream:
   91d5029a32302aa02414c9c8e3353cec  IO-Interface-0.98.tar.gz
   91d5029a32302aa02414c9c8e3353cec  IO-Interface-0.98.tar.gz-srpm
* package builds in mock.
X BuildRequires: perl not permitted.
* a shared library is present, but it is not in the library search path and
there is no need to run ldconfig.
* package is not relocatable.
* owns the directory it creates.
* no duplicates in %files.
* file permissions are appropriate.
* %clean is present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.
* does not own directories owned by other packages.
Comment 3 Jose Pedro Oliveira 2006-04-20 14:30:30 EDT
(In reply to comment #2)
> Issues:
> BuildRequires: perl is not allowed.

Has been changed. Personally I like to include the perl BR (in the past it has
been required; a lot of perl specfiles include it).

> Why %{perl_vendorarch}/GSSAPI* instead of just %{perl_vendorarch}/GSSAPI ?

Because I want to include the module file GSSAPI.pm and the directory GSSAPI. 

> 
> Review:
> ...
> * source files match upstream:
>    91d5029a32302aa02414c9c8e3353cec  IO-Interface-0.98.tar.gz
>    91d5029a32302aa02414c9c8e3353cec  IO-Interface-0.98.tar.gz-srpm

Wrong digests - this is GSSAPI not IO-Interface.

jpo
Comment 4 Jason Tibbitts 2006-04-21 14:02:22 EDT
> Has been changed. Personally I like to include the perl BR (in the past it has
> been required; a lot of perl specfiles include it).

The steering committee has changed the requirement, so include it if you wish.

> Wrong digests - this is GSSAPI not IO-Interface.

Don't know how I messed that up; I must have cut from the wrong window.  The
actual checksums are:

2779227c30afa412415680da54b98a10  GSSAPI-0.21.tar.gz
2779227c30afa412415680da54b98a10  GSSAPI-0.21.tar.gz-srpm

APPROVED
Comment 5 Jose Pedro Oliveira 2006-04-21 18:29:39 EDT
Thanks for the review.

Built for FC-4, FC-5, and devel.

Comment 6 Ralf Corsepius 2006-04-21 22:05:35 EDT
(In reply to comment #3)
> Has been changed. Personally I like to include the perl BR (in the past it has
> been required; a lot of perl specfiles include it).
Hmm, a BR: perl is rather meaningless, but also doesn't hurt.

If wanting to be pedantic, FE perl packages actually would 
BR: %{__perl}
because they typically also
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

Note: This calls %{__perl} and will fail if __perl and the 'perl' program
provided by the perl-rpm should ever diverge. Though this is rather unlikely to
occur, it would hit should ever perl change its executable's name
(/usr/bin/perl7, /usr/bin/perl5), or should the executable's directory ever change.
Comment 7 Steven Pritchard 2007-12-06 14:26:04 EST
Package Change Request
======================
Package Name: perl-GSSAPI
New Branches: EL-4 EL-5
Comment 8 Kevin Fenzi 2007-12-06 15:52:02 EST
cvs done. 

Note You need to log in before you can comment on or make changes to this bug.